Bug 90201 - Tab completion listing counts width of multibyte characters wrong
Tab completion listing counts width of multibyte characters wrong
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 07:52 EDT by Miloslav Trmac
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 2.05b-24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-12 06:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the problem (4.12 KB, patch)
2003-05-11 11:23 EDT, Miloslav Trmac
no flags Details | Diff
Script showing the "before" and "after" status (1.26 KB, application/octet-stream)
2003-05-11 11:24 EDT, Miloslav Trmac
no flags Details

  None (edit)
Description Miloslav Trmac 2003-05-05 07:52:47 EDT
Version-Release number of selected component (if applicable):
bash-2.05b-20

Steps to Reproduce:
1.Using UTF-8, create files with non-ASCII characters in names in a directory
2.In that directory, type "ls " and press Tab twice
    
Actual results:
The columns of the completion alternatives listing are not lined up, counting
every byte as a distinct coumn.

Expected results:
Columns lined up.
Comment 1 Tim Waugh 2003-05-06 09:11:16 EDT
Please attach a script that does this, so we both know we're looking at the same
failure.  Sometimes there are several problems with similar symptoms.
Comment 2 Miloslav Trmac 2003-05-11 11:23:18 EDT
Created attachment 91606 [details]
Patch fixing the problem

This patch fixes the problem.
As an added bonus, it should also fix the column counting
when the file names contain control characters
(which are ^C -like escaped in the output).
I'll send this upstream in a few minutes.
Comment 3 Miloslav Trmac 2003-05-11 11:24:20 EDT
Created attachment 91607 [details]
Script showing the "before" and "after" status
Comment 4 Tim Waugh 2003-05-12 06:07:56 EDT
Thanks for the patch.  Fixed package will show up in rawhide shortly.

Note You need to log in before you can comment on or make changes to this bug.